<?php
require_once "modelo/inscripcionModelo.php";


  ModeloInscripcion::mdlActualizarEstadoInscripcionesVencidas();
  
$ruta = parse_url($_SERVER['REQUEST_URI']);

if (isset($ruta["query"])) {
  if (
    $ruta["query"] == "ctrRegInscripcion" ||
    $ruta["query"] == "ctrInfoInscripcion" ||
    $ruta["query"] == "ctrEliInscripcion" ||
    $ruta["query"] == "ctrEditInscripcion"
  ) {
    $metodo = $ruta["query"];
    $Inscripcion = new ControladorInscripcion();
    $Inscripcion->$metodo();
  }
}


class ControladorInscripcion
{

  static public function ctrInfoInscripciones()
  {
    $respuesta = ModeloInscripcion::mdlInfoInscripciones();
    return $respuesta;
  }

  static public function ctrRegInscripcion()
  {
    require "../modelo/inscripcionModelo.php";
    session_start();

    $data = array(
      "idUsuario" => $_SESSION["idUsuario"],
      "cliente" => $_POST["cliente"],
      "membresia" => $_POST["membresia"],
      "descuento" => $_POST["descuento"],
      "fechaInicio" => $_POST["fechaInicio"],
      "fechaFin" => $_POST["fechaFin"]
    );

    $respuesta = ModeloInscripcion::mdlRegInscripcion($data);

    echo $respuesta;
  }

  static public function ctrInfoInscripcion($id)
  {
    $respuesta = ModeloInscripcion::mdlInfoInscripcion($id);
    return $respuesta;
  }

  static public function ctrEditInscripcion()
  {
    require "../modelo/inscripcionModelo.php";

    $data = array(
      "membresia" => $_POST["membresia"],
      "descuento" => $_POST["descuento"],
      "fechaInicio" => $_POST["fechaInicio"],
      "fechaFin" => $_POST["fechaFin"],
      "estado" => $_POST["estado"],
      "idInscripcion" => $_POST["idInscripcion"]
    );

    $respuesta = ModeloInscripcion::mdlEditInscripcion($data);

    echo $respuesta;
  }

  static public function ctrEliInscripcion()
  {
    require "../modelo/inscripcionModelo.php";
    $data = $_POST["id"];

    $respuesta = ModeloInscripcion::mdlEliInscripcion($data);

    echo $respuesta;
  }


}
